Create discount
curl --request POST \
--url https://api.example.com/discounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '
{
"name": "<string>",
"description": "<string>",
"productHandle": "<string>",
"invoiceText": "<string>",
"percentage": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"amounts": {}
}
'import requests
url = "https://api.example.com/discounts"
payload = {
"name": "<string>",
"description": "<string>",
"productHandle": "<string>",
"invoiceText": "<string>",
"percentage": 123,
"expiresAt": "2023-11-07T05:31:56Z",
"amounts": {}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
productHandle: '<string>',
invoiceText: '<string>',
percentage: 123,
expiresAt: '2023-11-07T05:31:56Z',
amounts: {}
})
};
fetch('https://api.example.com/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Discounts
Create discount
Create a discount.
POST
/
discounts
Create discount
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Body
application/json
Required string length:
1 - 50An internal short description for this discount.
Stock keeping unit of line. See https://go.plude.io/h21010.
Maximum string length:
50A description that will be shown on the invoice item.
Maximum string length:
500The discount amount in percentage. between 0.0001 and 1.0000. Detaults to 0.
Datetime of when this discount expires. Discount can no longer be applied after this date has elapsed.
Dictionary with discount amounts. Key is a three-letter ISO currency code, in lowercase. Must be a supported currency.
Show child attributes
Show child attributes
Response
OK
Was this page helpful?
⌘I

